<?php
/**
 * Class model page
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPRev_Model_Page' )) {

  /**
   * Class for manage post setting
   */
  class IPRev_Model_Page
  {
    /**
     * Save setting page
     *
     * @param  int $pageId
     * @return void
     */
    public function saveSetting( $pageId )
    {
      $pageId   = absint( $pageId );
      $data     = $this->_getSettingData();
      $setting  = new IPRev_Setting( $pageId, '__iprev-page-setting' );
      $result   = $setting->setSettings( $data );
      return $result;
    }

    /**
     * Get setting data
     *
     * @return array
     */
    protected function _getSettingData()
    {
      $setting = array();
      $data    = array_merge( $_POST, $_GET );

      //
      //
      // General
      //
      if ( isset( $data['status'] )) {
          $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
      }
      if ( isset( $data['restricted'] )) {
          $setting['restricted'] = apply_filters( 'pre_term_name', $data['restricted'] );
      }

      //
      //
      // SEO
      //
      if ( isset( $data['seo_meta_title'] )) {
          $setting['seo_meta_title'] = apply_filters( 'single_post_title', $data['seo_meta_title'] );
      }
      if ( isset( $data['seo_meta_description'] )) {
          $setting['seo_meta_description'] = apply_filters( 'single_post_title', $data['seo_meta_description'] );
      }
      if ( isset( $data['seo_meta_keywords'] )) {
          $setting['seo_meta_keywords'] = apply_filters( 'single_post_title', $data['seo_meta_keywords'] );
      }
      if ( isset( $data['seo_graph_image'] )) {
          $setting['seo_graph_image'] = apply_filters( 'pre_link_url', $data['seo_graph_image'] );
      }
      if ( isset( $data['seo_favicon'] )) {
          $setting['seo_favicon'] = apply_filters( 'pre_link_url', $data['seo_favicon'] );
      }
      if ( isset( $data['seo_tracking_code'] )) {
          $setting['seo_tracking_code'] = $data['seo_tracking_code'];
      }

      //
      //
      // Product Info
      //
      if ( isset( $data['product_name'] )) {
          $setting['product_name'] = apply_filters( 'single_post_title', $data['product_name'] );
      }
      if ( isset( $data['product_category'] )) {
          $setting['product_category'] = apply_filters( 'single_post_title', $data['product_category'] );
      }
      if ( isset( $data['product_price'] )) {
          $setting['product_price'] = apply_filters( 'single_post_title', $data['product_price'] );
      }
      if ( isset( $data['product_description'] )) {
          $setting['product_description'] = $data['product_description'];
      }
      if ( isset( $data['product_image'] )) {
          $setting['product_image'] = absint( $data['product_image'] );
      }
      if ( isset( $data['product_url'] )) {
          $setting['product_url'] = apply_filters( 'pre_link_url', $data['product_url'] );
      }
      if ( isset( $data['product_button_label'] )) {
          $setting['product_button_label'] = apply_filters( 'single_post_title', $data['product_button_label'] );
      }

      //
      //
      //Header
      //
      if ( isset( $data['header_title'] )) {
          $setting['header_title'] = apply_filters( 'single_post_title', $data['header_title'] );
      }
      if ( isset( $data['header_logo'] )) {
          $setting['header_logo'] = absint( $data['header_logo'] );
      }
      if ( isset( $data['header_style'] )) {
          $setting['header_style'] = absint( $data['header_style'] );
      }
      if ( isset( $data['header_alignment'] )) {
          $setting['header_alignment'] = apply_filters( 'pre_term_name', $data['header_alignment'] );
      }
      if ( isset( $data['header_background_color'] )) {
          $setting['header_background_color'] = apply_filters( 'pre_term_name', $data['header_background_color'] );
      }
      if ( isset( $data['header_color'] )) {
          $setting['header_color'] = apply_filters( 'pre_term_name', $data['header_color'] );
      }
      if ( isset( $data['header_border_width'] )) {
          $setting['header_border_width'] = absint( $data['header_border_width'] );
      }
      if ( isset( $data['header_border_color'] )) {
          $setting['header_border_color'] = apply_filters( 'pre_term_name', $data['header_border_color'] );
      }
      if ( isset( $data['header_border_radius'] )) {
          $setting['header_border_radius'] = apply_filters( 'pre_term_name', $data['header_border_radius'] );
      }
      if ( isset( $data['header_style'] )) {
          $setting['header_style'] = absint( $data['header_style'] );
      }
      if ( isset( $data['header_padding_top'] )) {
          $setting['header_padding_top'] = absint( $data['header_padding_top'] );
      }
      if ( isset( $data['header_padding_bottom'] )) {
          $setting['header_padding_bottom'] = absint( $data['header_padding_bottom'] );
      }
      if ( isset( $data['header_font_family'] )) {
          $setting['header_font_family'] = apply_filters( 'pre_term_name', $data['header_font_family'] );
      }
      if ( isset( $data['header_shadow'] )) {
          $setting['header_shadow'] = apply_filters( 'pre_term_name', $data['header_shadow'] );
      }

      //
      //
      //Footer
      //
      if ( isset( $data['footer_text'] )) {
          $setting['footer_text'] = apply_filters( 'single_post_title', $data['footer_text'] );
      }
      if ( isset( $data['footer_style'] )) {
          $setting['footer_style'] = absint( $data['footer_style'] );
      }
      if ( isset( $data['footer_background_color'] )) {
          $setting['footer_background_color'] = apply_filters( 'pre_term_name', $data['footer_background_color'] );
      }
      if ( isset( $data['footer_color'] )) {
          $setting['footer_color'] = apply_filters( 'pre_term_name', $data['footer_color'] );
      }
      if ( isset( $data['footer_border_width'] )) {
          $setting['footer_border_width'] = absint( $data['footer_border_width'] );
      }
      if ( isset( $data['footer_border_color'] )) {
          $setting['footer_border_color'] = apply_filters( 'pre_term_name', $data['footer_border_color'] );
      }
      if ( isset( $data['footer_border_radius'] )) {
          $setting['footer_border_radius'] = apply_filters( 'pre_term_name', $data['footer_border_radius'] );
      }
      if ( isset( $data['footer_style'] )) {
          $setting['footer_style'] = absint( $data['footer_style'] );
      }
      if ( isset( $data['footer_padding_top'] )) {
          $setting['footer_padding_top'] = absint( $data['footer_padding_top'] );
      }
      if ( isset( $data['footer_padding_bottom'] )) {
          $setting['footer_padding_bottom'] = absint( $data['footer_padding_bottom'] );
      }
      if ( isset( $data['footer_font_family'] )) {
          $setting['footer_font_family'] = apply_filters( 'pre_term_name', $data['footer_font_family'] );
      }
      if ( isset( $data['footer_alignment'] )) {
          $setting['footer_alignment'] = apply_filters( 'pre_term_name', $data['footer_alignment'] );
      }

      //
      //
      //Form
      //
      if ( isset( $data['form_restricted'] )) {
          $setting['form_restricted'] = apply_filters( 'pre_term_name', $data['form_restricted'] );
      }
      if ( isset( $data['form_title'] )) {
          $setting['form_title'] = apply_filters( 'single_post_title', $data['form_title'] );
      }
      if ( isset( $data['form_info'] )) {
          $setting['form_info'] = apply_filters( 'single_post_title', $data['form_info'] );
      }
      if ( isset( $data['name_label'] )) {
          $setting['name_label'] = apply_filters( 'single_post_title', $data['name_label'] );
      }
      if ( isset( $data['name_placeholder'] )) {
          $setting['name_placeholder'] = apply_filters( 'single_post_title', $data['name_placeholder'] );
      }
      if ( isset( $data['title_label'] )) {
          $setting['title_label'] = apply_filters( 'single_post_title', $data['title_label'] );
      }
      if ( isset( $data['title_placeholder'] )) {
          $setting['title_placeholder'] = apply_filters( 'single_post_title', $data['title_placeholder'] );
      }
      if ( isset( $data['title_on'] )) {
          $setting['title_on'] = apply_filters( 'pre_term_name', $data['title_on'] );
      }
      if ( isset( $data['content_label'] )) {
          $setting['content_label'] = apply_filters( 'single_post_title', $data['content_label'] );
      }
      if ( isset( $data['content_placeholder'] )) {
          $setting['content_placeholder'] = apply_filters( 'single_post_title', $data['content_placeholder'] );
      }
      if ( isset( $data['email_label'] )) {
          $setting['email_label'] = apply_filters( 'single_post_title', $data['email_label'] );
      }
      if ( isset( $data['email_placeholder'] )) {
          $setting['email_placeholder'] = apply_filters( 'single_post_title', $data['email_placeholder'] );
      }
      if ( isset( $data['job_label'] )) {
          $setting['job_label'] = apply_filters( 'single_post_title', $data['job_label'] );
      }
      if ( isset( $data['job_placeholder'] )) {
          $setting['job_placeholder'] = apply_filters( 'single_post_title', $data['job_placeholder'] );
      }
      if ( isset( $data['job_on'] )) {
          $setting['job_on'] = apply_filters( 'pre_term_name', $data['job_on'] );
      }
      if ( isset( $data['url_label'] )) {
          $setting['url_label'] = apply_filters( 'single_post_title', $data['url_label'] );
      }
      if ( isset( $data['url_placeholder'] )) {
          $setting['url_placeholder'] = apply_filters( 'single_post_title', $data['url_placeholder'] );
      }
      if ( isset( $data['url_on'] )) {
          $setting['url_on'] = apply_filters( 'pre_term_name', $data['url_on'] );
      }
      if ( isset( $data['rating_label'] )) {
          $setting['rating_label'] = apply_filters( 'single_post_title', $data['rating_label'] );
      }
      if ( isset( $data['rating_on'] )) {
          $setting['rating_on'] = apply_filters( 'pre_term_name', $data['rating_on'] );
      }
      if ( isset( $data['button_label'] )) {
          $setting['button_label'] = apply_filters( 'single_post_title', $data['button_label'] );
      }
      if ( isset( $data['message_thank'] )) {
          $setting['message_thank'] = $data['message_thank'];
      }
      if ( isset( $data['message_error'] )) {
          $setting['message_error'] = $data['message_error'];
      }
      if ( isset( $data['send_email'] )) {
          $setting['send_email'] = absint( $data['send_email'] );
      }
      if ( isset( $data['admin_email'] )) {
          $setting['admin_email'] = sanitize_email( $data['admin_email'] );
      }

      //
      //
      //Style
      //
      if ( isset( $data['background_color'] )) {
          $setting['background_color'] = apply_filters( 'pre_term_name', $data['background_color'] );
      }
      if ( isset( $data['background_image'] )) {
          $setting['background_image'] = absint( $data['background_image'] );
      }
      if ( isset( $data['background_opacity'] )) {
          $setting['background_opacity'] = absint( $data['background_opacity'] );
      }
      if ( isset( $data['background_repeat'] )) {
          $setting['background_repeat'] = apply_filters( 'pre_term_name', $data['background_repeat'] );
      }
      if ( isset( $data['padding_top'] )) {
          $setting['padding_top'] = absint( $data['padding_top'] );
      }
      if ( isset( $data['padding_bottom'] )) {
          $setting['padding_bottom'] = absint( $data['padding_bottom'] );
      }

      //
      //COntent main
      if ( isset( $data['main_background_color'] )) {
          $setting['main_background_color'] = apply_filters( 'pre_term_name', $data['main_background_color'] );
      }
      if ( isset( $data['main_text_color'] )) {
          $setting['main_text_color'] = apply_filters( 'pre_term_name', $data['main_text_color'] );
      }
      if ( isset( $data['main_link_color'] )) {
          $setting['main_link_color'] = apply_filters( 'pre_term_name', $data['main_link_color'] );
      }
      if ( isset( $data['main_link_hover_color'] )) {
          $setting['main_link_hover_color'] = apply_filters( 'pre_term_name', $data['main_link_hover_color'] );
      }
      if ( isset( $data['main_padding'] )) {
          $setting['main_padding'] = absint( $data['main_padding'] );
      }
      if ( isset( $data['main_border_width'] )) {
          $setting['main_border_width'] = absint( $data['main_border_width'] );
      }
      if ( isset( $data['main_border_color'] )) {
          $setting['main_border_color'] = apply_filters( 'pre_term_name', $data['main_border_color'] );
      }
      if ( isset( $data['main_border_radius'] )) {
          $setting['main_border_radius'] = apply_filters( 'pre_term_name', $data['main_border_radius'] );
      }
      if ( isset( $data['main_font_family'] )) {
          $setting['main_font_family'] = absint( $data['main_font_family'] );
      }
      if ( isset( $data['main_shadow'] )) {
          $setting['main_shadow'] = apply_filters( 'pre_term_name', $data['main_shadow'] );
      }
      if ( isset( $data['main_button_style'] )) {
          $setting['main_button_style'] = apply_filters( 'pre_term_name', $data['main_button_style'] );
      }
      if ( isset( $data['main_button_style_color'] )) {
          $setting['main_button_style_color'] = apply_filters( 'pre_term_name', $data['main_button_style_color'] );
      }

      //
      //Input form
      if ( isset( $data['form_background_color'] )) {
          $setting['form_background_color'] = apply_filters( 'pre_term_name', $data['form_background_color'] );
      }
      if ( isset( $data['form_text_color'] )) {
          $setting['form_text_color'] = apply_filters( 'pre_term_name', $data['form_text_color'] );
      }
      if ( isset( $data['form_border_width'] )) {
          $setting['form_border_width'] = absint( $data['form_border_width'] );
      }
      if ( isset( $data['form_border_color'] )) {
          $setting['form_border_color'] = apply_filters( 'pre_term_name', $data['form_border_color'] );
      }
      if ( isset( $data['form_border_radius'] )) {
          $setting['form_border_radius'] = apply_filters( 'pre_term_name', $data['form_border_radius'] );
      }
      if ( isset( $data['form_font_family'] )) {
          $setting['form_font_family'] = absint( $data['form_font_family'] );
      }
      if ( isset( $data['form_shadow'] )) {
          $setting['form_shadow'] = apply_filters( 'pre_term_name', $data['form_shadow'] );
      }
      if ( isset( $data['form_button_style'] )) {
          $setting['form_button_style'] = apply_filters( 'pre_term_name', $data['form_button_style'] );
      }
      if ( isset( $data['form_button_style_color'] )) {
          $setting['form_button_style_color'] = apply_filters( 'pre_term_name', $data['form_button_style_color'] );
      }

      //
      //
      // Share
      //
      if ( isset( $data['share_status'] )) {
          $setting['share_status'] = apply_filters( 'pre_term_name', $data['share_status'] );
      }
      if ( isset( $data['share_facebook'] )) {
          $setting['share_facebook'] = apply_filters( 'pre_term_name', $data['share_facebook'] );
      }
      if ( isset( $data['share_twitter'] )) {
          $setting['share_twitter'] = apply_filters( 'pre_term_name', $data['share_twitter'] );
      }
      if ( isset( $data['share_google-plus'] )) {
          $setting['share_google-plus'] = apply_filters( 'pre_term_name', $data['share_google-plus'] );
      }
      if ( isset( $data['share_linkedin'] )) {
          $setting['share_linkedin'] = apply_filters( 'pre_term_name', $data['share_linkedin'] );
      }
      if ( isset( $data['share_tumblr'] )) {
          $setting['share_tumblr'] = apply_filters( 'pre_term_name', $data['share_tumblr'] );
      }
      if ( isset( $data['share_pinterest'] )) {
          $setting['share_pinterest'] = apply_filters( 'pre_term_name', $data['share_pinterest'] );
      }
      if ( isset( $data['share_stumbleupon'] )) {
          $setting['share_stumbleupon'] = apply_filters( 'pre_term_name', $data['share_stumbleupon'] );
      }
      if ( isset( $data['share_digg'] )) {
          $setting['share_digg'] = apply_filters( 'pre_term_name', $data['share_digg'] );
      }
      if ( isset( $data['share_button_style'] )) {
          $setting['share_button_style'] = apply_filters( 'pre_term_name', $data['share_button_style'] );
      }

      return $setting;
    }
  }
}
?>
