<?php
/**
 * Class model style
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPRev_Model_Style' )) {

  /**
   * Class for manage post setting
   */
  class IPRev_Model_Style
  {
    /**
     * Save setting style
     *
     * @param  int $styleId
     * @return void
     */
    public function saveSetting( $styleId )
    {
      $styleId  = absint( $styleId );
      $data     = $this->_getSettingData();
      $setting  = new IPRev_Setting( $styleId, '__iprev-style-setting' );
      $result   = $setting->setSettings( $data );
      return $result;
    }

    /**
     * Get setting data
     *
     * @return array
     */
    protected function _getSettingData()
    {
      $setting = array();
      $data    = array_merge( $_POST, $_GET );

      //
      //
      // General
      //
      if ( isset( $data['style'] )) {
        $setting['style'] = apply_filters( 'pre_term_name', $data['style'] );
      }
      if ( isset( $data['color'] )) {
        $setting['color'] = apply_filters( 'pre_term_name', $data['color'] );
      }

      //
      //
      // Header
      //
      if ( isset( $data['top_title'] )) {
        $setting['top_title'] = apply_filters( 'single_post_title', $data['top_title'] );
      }
      if ( isset( $data['logo'] )) {
        $setting['logo'] = absint( $data['logo'] );
      }
      if ( isset( $data['close_button'] )) {
        $setting['close_button'] = apply_filters( 'pre_term_name', $data['close_button'] );
      }
      if ( isset( $data['minimize_button'] )) {
        $setting['minimize_button'] = apply_filters( 'pre_term_name', $data['minimize_button'] );
      }
      if ( isset( $data['rating_on'] )) {
        $setting['rating_on'] = apply_filters( 'pre_term_name', $data['rating_on'] );
      }
      if ( isset( $data['number_format'] )) {
        $setting['number_format'] = apply_filters( 'single_post_title', $data['number_format'] );
      }

      //
      //
      // List
      //
      if ( isset( $data['list_layout'] )) {
        $setting['list_layout'] = apply_filters( 'pre_term_name', $data['list_layout'] );
      }
      if ( isset( $data['count'] )) {
        $setting['count'] = absint( $data['count'] );
      }
      if ( isset( $data['orderby'] )) {
        $setting['orderby'] = apply_filters( 'pre_term_name', $data['orderby'] );
      }
      if ( isset( $data['list_photo_on'] )) {
        $setting['list_photo_on'] = apply_filters( 'pre_term_name', $data['list_photo_on'] );
      }
      if ( isset( $data['list_url_on'] )) {
        $setting['list_url_on'] = apply_filters( 'pre_term_name', $data['list_url_on'] );
      }
      if ( isset( $data['list_rating_on'] )) {
        $setting['list_rating_on'] = apply_filters( 'pre_term_name', $data['list_rating_on'] );
      }
      if ( isset( $data['list_verified_on'] )) {
        $setting['list_verified_on'] = apply_filters( 'pre_term_name', $data['list_verified_on'] );
      }
      if ( isset( $data['verified_url'] )) {
        $setting['verified_url'] = apply_filters( 'pre_link_url', $data['verified_url'] );
      }
      if ( isset( $data['term'] )) {
        $setting['term'] = $data['term'];
      }

      //
      //
      // Combo
      //
      if ( isset( $data['position'] )) {
        $setting['position'] = apply_filters( 'pre_term_name', $data['position'] );
      }
      if ( isset( $data['page_load'] )) {
        $setting['page_load'] = apply_filters( 'pre_term_name', $data['page_load'] );
      }

      //Effect
      if ( isset( $data['show_effect'] )) {
        $setting['show_effect'] = apply_filters( 'pre_term_name', $data['show_effect'] );
      }
      if ( isset( $data['show_effect_speed'] )) {
        $setting['show_effect_speed'] = absint( $data['show_effect_speed'] );
      }
      if ( isset( $data['hide_effect'] )) {
        $setting['hide_effect'] = apply_filters( 'pre_term_name', $data['hide_effect'] );
      }
      if ( isset( $data['hide_effect_speed'] )) {
        $setting['hide_effect_speed'] = absint( $data['hide_effect_speed'] );
      }
      if ( isset( $data['show_audio'] )) {
        $setting['show_audio'] = apply_filters( 'pre_term_name', $data['show_audio'] );
      }
      if ( isset( $data['hide_audio'] )) {
        $setting['hide_audio'] = apply_filters( 'pre_term_name', $data['hide_audio'] );
      }

      return $setting;
    }
  }
}
?>
