<?php
/**
 * Admin setting view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-setting" class="wrap iprev-wrap iprev-admin">
  <div class="iprev-inner">

    <?php
    $this->view( 'manage/general/header' );
    ?>

    <div class="iprev-main">
      <div class="iprev-main-info"></div>

      <div class="iprev-primary">
        <div class="iprev-manage-wrap">
          <?php
          $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&iprev=1&action=setting';
          ?>
          <form id="iprev-form-setting" class="iprev-form-container iprev-form" method="post" action="<?php echo $formAction; ?>" enctype="multipart/form-data">

            <div class="container-fluid container">
              <div class="mb40">
                <h3 class="iprev-field-title mb20 py10"><?php _e( 'Permalink', IPREV_SLUG ); ?></h3>
                <p><?php _e( 'Set the base path permalink for all your review pages through the following input:', IPREV_SLUG ); ?></p>
                <div class="fields">

                  <div class="iprev-field-row iprev-field-x">
                    <div class="iprev-form-label col-lg-2 col-md-3 col-sm-4">
                      <label for="input-review-page-base-path"><?php _e( 'Review Page Base Path', IPREV_SLUG ); ?></label>
                    </div>
                    <div class="iprev-field col-lg-6 col-md-8 col-sm-8">
                      <?php
                      $path = get_option( '__iprev_review_page_base_path', 'review' );
                      ?>
                      <input type="text" id="input-review-page-base-path" class="iprev-input iprev-input-full" name="review_page_base_path" value="<?php echo $path; ?>">
                    </div>
                  </div>

                </div>

                <h3 class="iprev-field-title mb20 py10"><?php _e( 'Home Combo Bar', IPREV_SLUG ); ?></h3>
                <p><?php _e( 'Set some options in bellow to show review combo bar in your homepage.', IPREV_SLUG ); ?></p>
                <div class="fields">

                  <?php
                  /*
                   * Review Page
                   */
                  ?>
                  <!-- start: .iprev-field-row -->
                  <div class="iprev-field-row iprev-field-x">
                    <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
                      <label for="input-home-review-page"><?php _e( 'Review Page', IPREV_SLUG ); ?></label>
                    </div>

                    <!-- start: .iprev-field -->
                    <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

                      <select name="home_review_page" id="input-home-review-page">
                        <option value="0"><?php _e( 'None', IPREV_SLUG ); ?></option>
                        <?php
                        $current = get_option( '__iprev_home_review_page' );
                        if ( ! empty( $this->pages ))
                        {
                          foreach( $this->pages as $page )
                          {
                            $sltd = '';
                            if ( $page->ID == $current ) {
                              $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $page->ID . '"' . $sltd . '>' . $page->post_title . '</option>';
                          }
                        }
                        ?>
                      </select>
                    </div>
                    <!-- end: .iprev-field -->
                  </div>
                  <!-- end: .iprev-field-row -->

                  <?php
                  /*
                   * Style
                   */
                  ?>
                  <!-- start: .iprev-field-row -->
                  <div class="iprev-field-row iprev-field-x">
                    <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
                      <label for="input-home-style"><?php _e( 'Style', IPREV_SLUG ); ?></label>
                    </div>

                    <!-- start: .iprev-field -->
                    <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

                      <select name="home_style" id="input-home-style">
                        <option value="0"><?php _e( 'None', IPREV_SLUG ); ?></option>
                        <?php
                        $current = get_option( '__iprev_home_style' );
                        if ( ! empty( $this->styles ))
                        {
                          foreach( $this->styles as $style )
                          {
                            $sltd = '';
                            if ( $style->ID == $current ) {
                              $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $style->ID . '"' . $sltd . '>' . $style->post_title . '</option>';
                          }
                        }
                        ?>
                      </select>
                    </div>
                    <!-- end: .iprev-field -->
                  </div>
                  <!-- end: .iprev-field-row -->

                </div>

              </div>

              <div class="iprev-form-footer">
                <div class="row">
                  <div class="col-md-6">
                    <div class="iprev-bottom-submit">
                      <button type="submit" class="iprev-form-submit iprev-btn iprev-btn-secondary iprev-btn-lg" id="do-save-setting" name="save_setting">
                        <i class="iprev-fa iprev-fa-floppy-o"></i>
                        <strong><?php _e( 'Save Change', IPREV_SLUG ); ?></strong>
                      </button>
                    </div>
                  </div>
                  <div class="col-md-6">
                  </div>
                </div>

              </div>

            </div>
          </form>
        </div>
      </div>

    </div>

  </div>

</div>
