<?php
/**
 * Admin manage product info of review page
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="iprev-section-footer" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-long-arrow-down"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'Footer', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Manage content and style of the footer section', IPREV_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <?php
      /*
       * Footer text
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-text"><?php _e( 'Footer Text', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $text = $setting->getSetting( 'footer_text' );
          ?>
          <textarea id="input-footer-text" class="iprev-input iprev-input-full" name="footer_text"><?php echo $text; ?></textarea>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The footer text for the review page.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-background-color"><?php _e( 'Background Color', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'footer_background_color', '#ffffff' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-footer-background-color" name="footer_background_color" value="<?php echo $color; ?>" />


          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Add background color in the footer section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-color"><?php _e( 'Text Color', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'footer_color', '#ffffff' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-footer-color" name="footer_color" value="<?php echo $color; ?>" />


          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text color in the footer section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-border"><?php _e( 'Border', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $this->setting->getSetting( 'footer_border_width', 0 );
          $bocolor = stripslashes( $this->setting->getSetting( 'footer_border_color', '#222222' ));
          ?>
          <div class="iprev-input-group mr5">
            <input type="text" id="input-footer-border-width" class="iprev-input iprev-input-xxs" name="footer_border_width" value="<?php echo $bowidth; ?>">
            <div class="iprev-input-addon">px</div>
          </div>
          <input type="text" class="iprev-color-picker" id="input-footer-border-color" name="footer_border_color" value="<?php echo $bocolor; ?>" />

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Add border in the footer section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-footer-border-radius"><?php _e( 'Border Radius', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <select name="footer_border_radius" id="input-footer-border-radius">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'footer_border_radius', 'none' ));
              $styles  = array(
                  'none' => __( 'None', IPREV_SLUG ),
                  'xs'   => __( 'Extra Small', IPREV_SLUG ),
                  'sm'   => __( 'Small', IPREV_SLUG ),
                  'md'   => __( 'Medium', IPREV_SLUG ),
                  'lg'   => __( 'Large', IPREV_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Add radius in the footer section.', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Padding Top
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-footer-padding-top"><?php _e( 'Padding Top', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'footer_padding_top' );
              ?>
              <div class="iprev-input-group mr5">
                  <input type="text" id="input-footer-padding-top" class="iprev-input iprev-input-xs" name="footer_padding_top" value="<?php echo $padding; ?>">
                  <div class="iprev-input-addon">px</div>
              </div>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Padding top for the footer section (in px).', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Padding Bottom
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-footer-padding-bottom"><?php _e( 'Padding Bottom', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'footer_padding_bottom' );
              ?>
              <div class="iprev-input-group mr5">
                  <input type="text" id="input-footer-padding-bottom" class="iprev-input iprev-input-xs" name="footer_padding_bottom" value="<?php echo $padding; ?>">
                  <div class="iprev-input-addon">px</div>
              </div>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Padding bottom for the footer section (in px).', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Font Family
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-footer-font-family"><?php _e( 'Font Family', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $current = $this->setting->getSetting( 'footer_font_family', 'roboto' );
              $fonts   = IPRev_Font::getOptions();
              $fname   = IPRev_Font::getFontName( $current );
              ?>
              <span class="iprev-font-family">
                  <div class="iprev-menu iprev-fancy-option">
                      <div class="iprev-selected">
                          <div class="iprev-selected-box">
                              <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                          </div>
                          <span class="toggle"></span>
                      </div>
                      <div class="iprev-select" style="display: none;">
                          <div class="iprev-select-content">
                              <ul class="clearfix">
                                  <?php
                                  foreach( $fonts as $fkey => $label ) :
                                  ?>
                                      <li data-select="<?php echo $fkey; ?>">
                                          <strong class="iprev-select-label">
                                              <?php echo $label; ?>
                                          </strong>
                                      </li>
                                  <?php
                                  endforeach;
                                  ?>
                              </ul>
                          </div>
                      </div>
                      <input type="hidden" name="footer_font_family" class="iprev-input-select" value="<?php echo $current; ?>" />
                  </div>
              </span>

              <div class="iprev-help">
                  <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                      <?php _e( 'The font family of the footer section.', IPREV_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Text Aligment
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-footer-alignment"><?php _e( 'Text Aligment', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $setting->getSetting( 'footer_alignment' );
          $options = array(
              'left'   => __( 'Left', IPREV_SLUG ),
              'center' => __( 'Center', IPREV_SLUG ),
              'right'  => __( 'Right', IPREV_SLUG ),
          );
          ?>
          <select name="footer_alignment" id="input-footer-alignment">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The text alignment in footer section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->
  </div>
</div>
