<?php
/**
 * Admin content general view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-section-general" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-cogs"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'General', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your review page', IPREV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-title"><?php _e( 'Page Title', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = '';
          if ( $this->page ) {
            $title = stripslashes( $this->page->post_title );
          }
          ?>
          <input type="text" id="input-title" class="iprev-input iprev-input-full iprev-input-v-lg" name="title" value="<?php echo $title; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide"><?php _e( 'The title of the review page. This data will not be used directly in creating review pages but only to mark the review page so it is easier for you to manage it.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Permalink
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slug"><?php _e( 'Permalink', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $slug = '';
          if ( $this->page ) {
            $slug = stripslashes( $this->page->post_name );
          }
          ?>
          <span class="iprev-input-permalink">
              <strong class="italic font-h4 color-grey"><?php echo $this->permalink_root; ?></strong>
              <input type="text" id="input-slug" class="iprev-input iprev-input-md" name="slug" value="<?php echo $slug; ?>">
          </span>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Determines the structure of the link of the review page. You can ignore this because it will be set directly by the system based on page title.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-status"><?php _e( 'Status', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = 'true';
              if ( $this->page && $this->page->post_status == 'draft' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'Show', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Hide', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="status" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Determines the status of the page, whether the page will be viewable by the public or not.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->


      <?php
      /*
       * Restricted user
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-restricted"><?php _e( 'Restricted', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val = $this->setting->getSetting( 'restricted', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="restricted" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Determines whether to keep the review page available and viewable only to logged-in users.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->

  </div>
</div>
