<?php
/**
 * Admin manage product info of review page
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="iprev-section-header" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-header"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'Header', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Manage content and style of the header section', IPREV_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <?php
      /*
       * Header Title
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-title"><?php _e( 'Header Title', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'header_title' );
          ?>
          <input type="text" id="input-header-title" class="iprev-input iprev-input-full" name="header_title" value="<?php echo $title; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The header title for the review page.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Header Logo
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-logo"><?php _e( 'Header Logo', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <div class="iprev-upload-image iprev-clear">
              <div class="iprev-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'header_logo' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none iprev-hide">' . __( 'No logo', IPREV_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No logo', IPREV_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="iprev-image-field">
                  <div class="iprev-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPREV_SLUG ); ?></p>
                      <a class="iprev-btn iprev-btn-secondary iprev-btn-media iprev-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPREV_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose logo', IPREV_SLUG ); ?>">
                          <i class="iprev-fa iprev-fa-image"></i>
                          <?php _e( 'Select Logo', IPREV_SLUG ); ?>
                      </a>
                      <a class="iprev-btn iprev-btn-reset iprev-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="iprev-fa iprev-fa-ban"></i>
                          <?php _e( 'Clear Logo', IPREV_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="iprev-upload-type" value="header_logo" />
                  <input type="hidden" name="header_logo" class="iprev-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The header logo for the review page.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Logo/Title Aligment
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-alignment"><?php _e( 'Logo/Title Aligment', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $style   = $setting->getSetting( 'header_alignment' );
          $options = array(
              'left'   => __( 'Left', IPREV_SLUG ),
              'center' => __( 'Center', IPREV_SLUG ),
              'right'  => __( 'Right', IPREV_SLUG ),
          );
          ?>
          <select name="header_alignment" id="input-header-alignment">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $style ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The alignment of the logo/title in the header section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-background-color"><?php _e( 'Background Color', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'header_background_color', '#ffffff' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-header-background-color" name="header_background_color" value="<?php echo $color; ?>" />


          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Add background color in the header section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-border"><?php _e( 'Border', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $this->setting->getSetting( 'header_border_width', 0 );
          $bocolor = stripslashes( $this->setting->getSetting( 'header_border_color', '#222222' ));
          ?>
          <div class="iprev-input-group mr5">
            <input type="text" id="input-header-border-width" class="iprev-input iprev-input-xxs" name="header_border_width" value="<?php echo $bowidth; ?>">
            <div class="iprev-input-addon">px</div>
          </div>
          <input type="text" class="iprev-color-picker" id="input-header-border-color" name="header_border_color" value="<?php echo $bocolor; ?>" />

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Add border in the header section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-header-border-radius"><?php _e( 'Border Radius', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <select name="header_border_radius" id="input-header-border-radius">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'header_border_radius', 'none' ));
              $styles  = array(
                  'none' => __( 'None', IPREV_SLUG ),
                  'xs'   => __( 'Extra Small', IPREV_SLUG ),
                  'sm'   => __( 'Small', IPREV_SLUG ),
                  'md'   => __( 'Medium', IPREV_SLUG ),
                  'lg'   => __( 'Large', IPREV_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Add radius in the header section.', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Padding Top
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-header-padding-top"><?php _e( 'Padding Top', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'header_padding_top' );
              ?>
              <div class="iprev-input-group mr5">
                  <input type="text" id="input-header-padding-top" class="iprev-input iprev-input-xs" name="header_padding_top" value="<?php echo $padding; ?>">
                  <div class="iprev-input-addon">px</div>
              </div>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Padding top for the header section (in px).', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Padding Bottom
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-header-padding-bottom"><?php _e( 'Padding Bottom', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'header_padding_bottom' );
              ?>
              <div class="iprev-input-group mr5">
                  <input type="text" id="input-header-padding-bottom" class="iprev-input iprev-input-xs" name="header_padding_bottom" value="<?php echo $padding; ?>">
                  <div class="iprev-input-addon">px</div>
              </div>

              <div class="iprev-help">
                <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                  <?php _e( 'Padding bottom for the header section (in px).', IPREV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-color"><?php _e( 'Text Color', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'header_color', '#ffffff' ) );
          ?>
          <input type="text" class="iprev-color-picker" id="input-header-color" name="header_color" value="<?php echo $color; ?>" />


          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text color in the header section.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Font Family
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
          <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-header-font-family"><?php _e( 'Font Family', IPREV_SLUG ); ?></label>
          </div>
          <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $current = $this->setting->getSetting( 'header_font_family', 'roboto' );
              $fonts   = IPRev_Font::getOptions();
              $fname   = IPRev_Font::getFontName( $current );
              ?>
              <span class="iprev-font-family">
                  <div class="iprev-menu iprev-fancy-option">
                      <div class="iprev-selected">
                          <div class="iprev-selected-box">
                              <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                          </div>
                          <span class="toggle"></span>
                      </div>
                      <div class="iprev-select" style="display: none;">
                          <div class="iprev-select-content">
                              <ul class="clearfix">
                                  <?php
                                  foreach( $fonts as $fkey => $label ) :
                                  ?>
                                      <li data-select="<?php echo $fkey; ?>">
                                          <strong class="iprev-select-label">
                                              <?php echo $label; ?>
                                          </strong>
                                      </li>
                                  <?php
                                  endforeach;
                                  ?>
                              </ul>
                          </div>
                      </div>
                      <input type="hidden" name="header_font_family" class="iprev-input-select" value="<?php echo $current; ?>" />
                  </div>
              </span>

              <div class="iprev-help">
                  <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
                  <div class="iprev-help-content iprev-hide">
                      <?php _e( 'The font family of the header section.', IPREV_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Shadow
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-header-shadow"><?php _e( 'Shadow', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'header_shadow', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="header_shadow" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Define whether to apply a shadow effect on the header or not.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->
  </div>
</div>
