<?php
/**
 * Admin manage button share of review page
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="iprev-section-share" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-share-alt"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'Button Share', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Manage button share for the review page', IPREV_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .iprev-fields -->
    <div class="iprev-fields iprev-social-option">

      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-share-status"><?php _e( 'Show/hide Share Button', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $setting->getSetting( 'share_status', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'Show', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Hide', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="share_status" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Determines whether to display the share button.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * DIsplay options
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-y iprev-help-abs">
        <div class="iprev-form-label">
          <label for="input-share-activate"><?php _e( 'Button Activate', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field">

          <p><?php _e( 'Select one or more share button that you want to display on the contest below.', IPREV_SLUG ); ?></p>
          <div class="iprev-social-active">
              <ul>
                  <?php
                  $social = array(
                      'facebook'      => 'Facebook',
                      'twitter'       => 'Twitter',
                      'google-plus'   => 'Google+',
                      'linkedin'      => 'LinkedIn',
                      'tumblr'        => 'Tumblr',
                      'pinterest'     => 'Pinterest',
                      'stumbleupon'   => 'Stumble Upon',
                      'digg'          => 'Digg'
                  );
                  foreach( $social as $key => $label ) {
                      $value = $setting->getSetting( 'share_'.$key, 'on' );
                      $class = 'inactive';
                      if ( $value == 'on' ) {
                          $class = "active";
                      }
                      $icon = $key;
                  ?>
                      <li>
                          <a class="<?php echo $class; ?>" href="#<?php echo $key; ?>">
                              <i class="iprev-fa iprev-fa-<?php echo $icon; ?>"></i>
                              <span><?php echo $label; ?></span>
                              <input type="hidden" name="share_<?php echo $key; ?>" value="<?php echo $value; ?>" />
                          </a>
                      </li>
                  <?php
                  }
                  ?>
              </ul>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Determine the share button which will be displayed.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Style
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-y iprev-help-abs">
        <div class="iprev-form-label">
          <label for="input-share-button-style"><?php _e( 'Button Style', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field">

          <select name="share_button_style" id="input-share-button-style">
              <?php
              $style   = $setting->getSetting( 'share_button_style', 'square_flat' );
              $options = array(
                  'square_flat'   => __( 'Square Flat', IPREV_SLUG ),
                  'square_grad'   => __( 'Square Gradient', IPREV_SLUG ),
                  'square_3d'     => __( 'Square 3D', IPREV_SLUG ),
                  'square_shadow' => __( 'Square Shadow', IPREV_SLUG ),
                  'round_flat'    => __( 'Round Flat', IPREV_SLUG ),
                  'round_grad'    => __( 'Round Gradient', IPREV_SLUG ),
                  'round_3d'      => __( 'Round 3D', IPREV_SLUG ),
                  'round_shadow'  => __( 'Round Shadow', IPREV_SLUG )
              );
              foreach( $options as $no => $label ) {
                  $sltd = '';
                  if ( $no == $style ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $no . '"' . $sltd . '>' . $label . '</option>';
              }
              ?>
          </select>
          <h4 class="mb15"><?php _e( 'Preview', IPREV_SLUG ); ?></h4>
          <div class="iprev-icon-preview iprev-clear">
                  <?php
                  $socials = array(
                      'facebook',
                      'twitter',
                      'linkedin',
                      'pinterest',
                      'googleplus',
                      'tumblr',
                      'stumbleupon',
                      'digg'
                  );
                  foreach( $socials as $name ) {
                      $src = IPREV_BASE_URL . 'assets/img/icon/'.$style.'/'.$name.'.png';
                      echo '<span class="iprev-icon"><img src="'.$src.'" alt="'.$name.'"></span>';
                  }
                  ?>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The style of the share button.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->
  </div>
</div>
