<?php
/**
 * Controller to handling save setting
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPRev_Ajax_Setting' ))
{
    class IPRev_Ajax_Setting
    {
        /**
         * Execution save setting
         *
         * @return void
         */
        public function exec()
        {
            $error = false;
            if ( ! empty( $_POST['review_page_base_path'] )) {
                $path = sanitize_title( $_POST['review_page_base_path'] );
                update_option( '__iprev_review_page_base_path', $path );
            }

            if ( isset( $_POST['general_review_page'] )) {
                $widget = absint( $_POST['general_review_page'] );
                update_option( '__iprev_general_review_page', $widget );
            }
            if ( isset( $_POST['general_style'] )) {
                $widget = absint( $_POST['general_style'] );
                update_option( '__iprev_general_style', $widget );
            }

            if ( isset( $_POST['home_review_page'] )) {
                $widget = absint( $_POST['home_review_page'] );
                update_option( '__iprev_home_review_page', $widget );
            }
            if ( isset( $_POST['home_style'] )) {
                $widget = absint( $_POST['home_style'] );
                update_option( '__iprev_home_style', $widget );
            }
            
            if ( $error ) {
                $status = 0;
                $msg    = __( 'Failed save settings.', IPREV_SLUG );
            } else {
                $status = 1;
                $msg    = __( 'Successfully updated settings.', IPREV_SLUG );
            }
            echo json_encode( array(
                'status'    => $status,
                'message'   => $msg
            ) );
            die();
        }
    }
}
