<?php
/**
 * Review page content view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;
?>

<?php
// Set main style
$padtop  = $st->getSetting( 'padding_top', '0' );
$padbot  = $st->getSetting( 'padding_bottom', '0' );
?>
<style>
.iprev-review-page ._main {
  padding-top: <?php echo $padtop; ?>px;
  padding-bottom: <?php echo $padbot; ?>px;
}
</style>

<?php
// Set main content style
$padding  = $st->getSetting( 'main_padding', '0' );
$bgcolor  = $st->getSetting( 'main_background_color', '#ffffff' );
$color    = $st->getSetting( 'main_text_color', '#333333' );
$bowidth  = $st->getSetting( 'main_border_width' );
$bocolor  = $st->getSetting( 'main_border_color', '#dddddd' );
$licolor  = $st->getSetting( 'main_link_color', '#222222' );
//Font
$font_opt = $st->getSetting( 'main_font_family', 'roboto' );
$family   = IPRev_Font::getFamily( $font_opt );
?>
<style>
.iprev-review-page ._main-content {
  background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  <?php
  if ( $bowidth ) {
      echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
  padding: <?php echo $padding; ?>px;
  font-family: <?php echo $family; ?>;
}
.iprev-review-page ._product-title a,
.iprev-review-page ._send-review-error a,
.iprev-review-page ._send-review-user-info a {
  color: <?php echo $licolor; ?>;
}
.iprev-review-page ._product-title a:hover,
.iprev-review-page ._send-review-error a:hover,
.iprev-review-page ._send-review-user-info a:hover {
  color: <?php echo $st->getSetting( 'main_link_hover_color', '#222222' ); ?>;
}
.iprev-review-page ._product-header-inner::after {
  background-color: <?php echo $licolor; ?>;
}
.iprev-front ._send-review-title span::after {
  background-color: <?php echo $color; ?>;
}
</style>

<div class="_main container">
  <div class="_main-inner">

    <?php
    $class = '_main-content';
    if ( $radius = $st->getSetting( 'main_border_radius' )) {
        $class .= ' _radius-' . $radius;
    }
    if ( $st->getSetting( 'main_shadow', 'false' ) == 'true' ) {
        $class .= ' _shadow-on';
    } else {
        $class .= ' _shadow-off';
    }
    ?>
    <div class="<?php echo $class; ?>">
      <div class="_main-content-inner">

        <?php
        //Product Info
        $this->view( 'front/page/content/product' );
        //Reviews
        $this->view( 'front/page/content/reviews' );
        //Form
        $this->view( 'front/page/content/send' );
        ?>

      </div>
    </div>
  </div>
</div>
