<?php
/**
 * Form field
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$name  = $this->key;
$class = ' _form-field iprev_field iprev-clear';
if ( $this->useLabel ) {
    $class .= ' iprev_field_w_label';
}

$setting = $this->setting;
$pholder = '';
if ( $text = $setting->getSetting( $this->key . '_placeholder' )) {
    $pholder = ' placeholder="' . $text . '"';
}
$label = $setting->getSetting( $this->key . '_label', $this->defaultLabel );

$fieldClass = 'iprev_field_control';
if ( $radius = $setting->getSetting( 'form_border_radius' )) {
    $fieldClass .= ' _radius-' . $radius;
}
if ( $setting->getSetting( 'form_shadow', 'false' ) == 'true' ) {
    $fieldClass .= ' _shadow-on';
} else {
    $fieldClass .= ' _shadow-off';
}
$id = 'iprev-input-' . $this->key;
?>

<div class="<?php echo $class; ?>">
  <div class="iprev_field_label">
    <?php
    if ( $this->useLabel && ! empty( $label )) :
    ?>
    <label for="<?php echo $id; ?>">
      <strong>
        <?php
        echo $label;
        ?>
      </strong>
    </label>
    <?php
    endif;
    ?>
  </div>
  <div class="iprev_field_input">
    <?php
    if ( $this->input_type == 'textarea' ) :
    ?>
    <textarea id="<?php echo $id; ?>" name="<?php echo $name; ?>" class="<?php echo $fieldClass; ?>"<?php echo $pholder; ?>></textarea>
    <?php
    elseif ( $this->input_type == 'rating' ) :
    ?>
    <select id="<?php echo $id; ?>" name="<?php echo $name; ?>" class="iprev_field_option iprev_field_rating <?php echo $fieldClass; ?>">
      <?php
      $ratings = range( 1,5 );
      foreach( $ratings as $value ) {
        echo '<option value="' . $value . '">' . $value . '</option>';
      }
      ?>
    </select>
    <?php
    else :
    ?>
    <input type="text" id="<?php echo $id; ?>" name="<?php echo $name; ?>" class="<?php echo $fieldClass; ?>"<?php echo $pholder; ?> value="">
    <?php
    endif;
    ?>
  </div>
</div>
