<?php
/**
 * Review form
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */

global $user_ID;
$st = $this->setting;
?>

<!-- Start: ._send-review-form -->
<div class="_send-review-form">
  <?php
  if ( ! empty( $user_ID )) :
    $user     = get_userdata( $user_ID );
    $redirect = '';
    $restricted = $st->getSetting( 'form_restricted', 'false' );
    if ( $restricted == 'false' ) {
      $redirect = $this->permalink;
    }
  ?>
  <div class="_send-review-user-info">
    Logged in as
    <a href="<?php echo admin_url( 'profile.php' ); ?>"><?php echo $user->user_login; ?></a>.
    <a href="<?php echo wp_logout_url( $redirect ); ?>">Log out?</a>
  </div>
  <?php
  endif;
  ?>
  <form class="iprev_form" action="" method="post" enctype="multipart/form-data">
    <input type="hidden" name="page_id" value="<?php echo $this->page->ID; ?>">
    <input id="iprev-val-user-id" type="hidden" name="user_id" value="<?php echo $user_ID; ?>">
      <div class="iprev_form-fields">
        <?php
        $this->useLabel     = true;
        $this->defaultLabel = '';

        if ( empty( $user_ID ))
        {
          //
          //Input Name
          $this->key          = 'name';
          $this->input_type   = 'text';
          $this->defaultLabel = __( 'Name', IPREV_SLUG );
          $this->view( 'front/page/content/form-field' );
          //
          //Input Email
          $this->key          = 'email';
          $this->input_type   = 'text';
          $this->defaultLabel = __( 'Email', IPREV_SLUG );
          $this->view( 'front/page/content/form-field' );
        }

        //
        //Input Title
        if ( $st->getSetting( 'title_on', 'true' ) == 'true' )
        {
          $this->key          = 'title';
          $this->input_type   = 'text';
          $this->defaultLabel = __( 'Title', IPREV_SLUG );
          $this->view( 'front/page/content/form-field' );
        }

        //
        //Input Content
        $this->key          = 'content';
        $this->input_type   = 'textarea';
        $this->defaultLabel = __( 'Review', IPREV_SLUG );
        $this->view( 'front/page/content/form-field' );

        if ( empty( $user_ID ))
        {
          //
          //Input subtitle
          if ( $st->getSetting( 'job_on', 'true' ) == 'true' )
          {
            $this->key          = 'job';
            $this->input_type   = 'text';
            $this->defaultLabel = __( 'Job Info', IPREV_SLUG );
            $this->view( 'front/page/content/form-field' );
          }
        }

        if ( empty( $user_ID ))
        {
          //
          //Input url
          if ( $st->getSetting( 'url_on', 'true' ) == 'true' )
          {
            $this->key          = 'url';
            $this->input_type   = 'text';
            $this->defaultLabel = __( 'Website', IPREV_SLUG );
            $this->view( 'front/page/content/form-field' );
          }
        }

        //
        //Input rating
        if ( $st->getSetting( 'rating_on', 'true' ) == 'true' )
        {
          $this->key          = 'rating';
          $this->input_type   = 'rating';
          $this->defaultLabel = __( 'Rating', IPREV_SLUG );
          $this->view( 'front/page/content/form-field' );
        }
        ?>
      </div>
      <div class="_form-submit">
        <?php
        $btnclass  = 'iprev_form_submit iprev-btn iprev-btn-md';
        $btnclass .= ' iprev-btn-' . $st->getSetting( 'form_button_style' );
        $btnclass .= ' iprev-btn-' . $st->getSetting( 'form_button_style_color' );
        ?>
        <button type="submit" class="<?php echo $btnclass; ?>">
          <?php echo $st->getSetting( 'button_label', __( 'Send Review', IPREV_SLUG ) ); ?>
        </button>
      </div>
  </form>
</div>
<!-- End: ._send-review-form -->
