<?php
/**
 * Admin manage form of review page
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="iprev-section-form" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-list-alt"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'Review Form', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Manage review form', IPREV_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <?php
      /*
       * Restricted user
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-restricted"><?php _e( 'Restricted Submit Review', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val = $this->setting->getSetting( 'form_restricted', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="form_restricted" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Set only logged user can submit a review.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input title
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-title"><?php _e( 'Title', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = stripslashes( $setting->getSetting( 'form_title' ) );
          ?>
          <input type="text" id="input-form-title" class="iprev-input iprev-input-full" name="form_title" value="<?php echo $title; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The title of the form.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input description
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-form-info"><?php _e( 'Info', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = stripslashes( $setting->getSetting( 'form_info' ) );
          ?>
          <textarea id="input-form-info" class="iprev-input iprev-input-full" name="form_info" rows="5"><?php echo $info; ?></textarea>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The info of the form.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input name
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Input Name', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label       = stripslashes( $setting->getSetting( 'name_label' ) );
          $placeholder = stripslashes( $setting->getSetting( 'name_placeholder' ) );
          ?>
          <div class="row">
            <div class="col-sm-6 pl0">
              <input type="text" id="input-name-label" class="iprev-input iprev-input-full" name="name_label" value="<?php echo $label; ?>" placeholder="Input label">
            </div>
            <div class="col-sm-6 pr0">
              <input type="text" id="input-name-placeholder" class="iprev-input iprev-input-full" name="name_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
            </div>
          </div>
          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text to display for the title input.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input email
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Input Email', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label       = stripslashes( $setting->getSetting( 'email_label' ) );
          $placeholder = stripslashes( $setting->getSetting( 'email_placeholder' ) );
          ?>
          <div class="row">
            <div class="col-sm-6 pl0">
              <input type="text" id="input-email-label" class="iprev-input iprev-input-full" name="email_label" value="<?php echo $label; ?>" placeholder="Input label">
            </div>
            <div class="col-sm-6 pr0">
              <input type="text" id="input-email-placeholder" class="iprev-input iprev-input-full" name="email_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
            </div>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text to display for the email input.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input review
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Input Review Content', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label       = stripslashes( $setting->getSetting( 'content_label' ) );
          $placeholder = stripslashes( $setting->getSetting( 'content_placeholder' ) );
          ?>
          <div class="row">
            <div class="col-sm-6 pl0">
              <input type="text" id="input-content-label" class="iprev-input iprev-input-full" name="content_label" value="<?php echo $label; ?>" placeholder="Input label">
            </div>
            <div class="col-sm-6 pr0">
              <input type="text" id="input-content-placeholder" class="iprev-input iprev-input-full" name="content_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
            </div>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text to display for the Review Content input.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input review title
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Input Review Title', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label       = stripslashes( $setting->getSetting( 'title_label' ) );
          $placeholder = stripslashes( $setting->getSetting( 'title_placeholder' ) );
          ?>
          <div class="row">
            <div class="col-sm-2 pl0 pr0">
              <div class="iprev-onoff">
                  <?php
                  $val = $setting->getSetting( 'title_on', 'true' );
                  if ( $val == 'false' ) {
                      $val = 'false';
                  }
                  if ( $val == 'false' ) {
                      $clon  = '';
                      $cloff = ' active';
                  } else {
                      $clon  = ' active';
                      $cloff = '';
                  }
                  ?>
                  <div class="iprev-btn-group">
                    <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                    <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
                  </div>
                  <input type="hidden" class="iprev-onoff-value" name="title_on" value="<?php echo $val; ?>" />
              </div>
            </div>
            <div class="col-sm-5">
              <input type="text" id="input-title-label" class="iprev-input iprev-input-full" name="title_label" value="<?php echo $label; ?>" placeholder="Input label">
            </div>
            <div class="col-sm-5 pr0">
              <input type="text" id="input-title-placeholder" class="iprev-input iprev-input-full" name="title_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
            </div>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text to display for the Review Title input.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input job
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Input Job', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label       = stripslashes( $setting->getSetting( 'job_label' ) );
          $placeholder = stripslashes( $setting->getSetting( 'job_placeholder' ) );
          ?>
          <div class="row">
            <div class="col-sm-2 pl0 pr0">
              <div class="iprev-onoff">
                  <?php
                  $val = $setting->getSetting( 'job_on', 'false' );
                  if ( $val == 'false' ) {
                      $val = 'false';
                  }
                  if ( $val == 'false' ) {
                      $clon  = '';
                      $cloff = ' active';
                  } else {
                      $clon  = ' active';
                      $cloff = '';
                  }
                  ?>
                  <div class="iprev-btn-group">
                    <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                    <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
                  </div>
                  <input type="hidden" class="iprev-onoff-value" name="job_on" value="<?php echo $val; ?>" />
              </div>
            </div>
            <div class="col-sm-5">
              <input type="text" id="input-job-label" class="iprev-input iprev-input-full" name="job_label" value="<?php echo $label; ?>" placeholder="Input label">
            </div>
            <div class="col-sm-5 pr0">
              <input type="text" id="input-job-placeholder" class="iprev-input iprev-input-full" name="job_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
            </div>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text to display for the Job input.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input url
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Input URL', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label       = stripslashes( $setting->getSetting( 'url_label' ) );
          $placeholder = stripslashes( $setting->getSetting( 'url_placeholder' ) );
          ?>
          <div class="row">
            <div class="col-sm-2 pl0 pr0">
              <div class="iprev-onoff">
                  <?php
                  $val = $setting->getSetting( 'url_on', 'true' );
                  if ( $val == 'false' ) {
                      $val = 'false';
                  }
                  if ( $val == 'false' ) {
                      $clon  = '';
                      $cloff = ' active';
                  } else {
                      $clon  = ' active';
                      $cloff = '';
                  }
                  ?>
                  <div class="iprev-btn-group">
                    <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                    <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
                  </div>
                  <input type="hidden" class="iprev-onoff-value" name="url_on" value="<?php echo $val; ?>" />
              </div>
            </div>
            <div class="col-sm-5">
              <input type="text" id="input-url-label" class="iprev-input iprev-input-full" name="url_label" value="<?php echo $label; ?>" placeholder="Input label">
            </div>
            <div class="col-sm-5 pr0">
              <input type="text" id="input-url-placeholder" class="iprev-input iprev-input-full" name="url_placeholder" value="<?php echo $placeholder; ?>" placeholder="Input placeholder">
            </div>
          </div>
          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text to display for the URL input.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input rating
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Input Rating', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label = stripslashes( $setting->getSetting( 'rating_label' ) );
          ?>
          <div class="row">
            <div class="col-sm-2 pl0 pr0">
              <div class="iprev-onoff">
                  <?php
                  $val = $setting->getSetting( 'rating_on', 'true' );
                  if ( $val == 'false' ) {
                      $val = 'false';
                  }
                  if ( $val == 'false' ) {
                      $clon  = '';
                      $cloff = ' active';
                  } else {
                      $clon  = ' active';
                      $cloff = '';
                  }
                  ?>
                  <div class="iprev-btn-group">
                    <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'On', IPREV_SLUG ); ?></button>
                    <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Off', IPREV_SLUG ); ?></button>
                  </div>
                  <input type="hidden" class="iprev-onoff-value" name="rating_on" value="<?php echo $val; ?>" />
              </div>
            </div>
            <div class="col-sm-10 pr0">
              <input type="text" id="input-rating-label" class="iprev-input iprev-input-full" name="rating_label" value="<?php echo $label; ?>" placeholder="Input label">
            </div>
          </div>
          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text to display for the Rating options.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Submit button Label
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <strong><?php _e( 'Submit Button Label', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label = stripslashes( $setting->getSetting( 'button_label' ) );
          ?>
          <input type="text" id="input-button-label" class="iprev-input iprev-input-full" name="button_label" value="<?php echo $label; ?>" placeholder="Input label">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text to display on the submit button.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <h3 class="iprev-field-title">
        <?php _e( 'Confirmation &amp; Email Settings', IPREV_SLUG ); ?>
      </h3>

      <?php
      //Input thank message
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-message-thank"><?php _e( 'Thank You Message', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-editor">
            <?php
            $tinymceInit = array(
              'editor_height' => 70
            );
            $message = stripslashes( $setting->getSetting( 'message_thank', '' ));
            wp_editor( $message, 'message_thank', array(
              'editor_height' => 70,
              'tinymce'       => $tinymceInit
            ));
            ?>
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text that is displayed when the testimony successfully saved.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Input error message
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-message-thank"><?php _e( 'Error Message', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-editor">
            <?php
            $tinymceInit = array(
              'editor_height' => 70
            );
            $message = stripslashes( $setting->getSetting( 'message_error', '' ));
            wp_editor( $message, 'message_error', array(
              'editor_height' => 70,
              'tinymce'       => $tinymceInit
            ));
            ?>
          </div>
          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Text that is displayed when the testimony failed to saved.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Send
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-send-email"><?php _e( 'Send Notification Email', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $send = stripslashes( $setting->getSetting( 'send_email', 1 ) );
          if ($send == 1 ){
            $checked = ' checked="checked"';
          }
          ?>
          <label>
            <input type="checkbox" id="input-send-email" class="iprev-input" name="send_email" value="1"<?php echo $checked; ?>>
            <?php _e( 'Send new entry notification email to site adminstrator', IPREV_SLUG ); ?>
          </label>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Email
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-admin-email"><?php _e( 'Send Email to', IPREV_SLUG ); ?></strong>
        </div>
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $email = stripslashes( $setting->getSetting( 'admin_email' ) );
          ?>
          <input type="text" id="input-admin-email" class="iprev-input iprev-input-full" name="admin_email" value="<?php echo $email; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Notification email will be send to this address .', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->
  </div>
</div>
