<?php
/**
 * Admin manage product info of review page
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="iprev-section-product" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-archive"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'Product Info', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Manage product info for the review page', IPREV_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <?php
      /*
       * Product Name
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-product-name"><?php _e( 'Product Name', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $name = $setting->getSetting( 'product_name' );
          ?>
          <input type="text" id="input-product-name" class="iprev-input iprev-input-full" name="product_name" value="<?php echo $name; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The product name.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Product Category
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-product-category"><?php _e( 'Product Category', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $category = $setting->getSetting( 'product_category' );
          ?>
          <input type="text" id="input-product-category" class="iprev-input iprev-input-full" name="product_category" value="<?php echo $category; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The product category info.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Product Price
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-product-price"><?php _e( 'Product Price', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $price = $setting->getSetting( 'product_price' );
          ?>
          <input type="text" id="input-product-price" class="iprev-input iprev-input-full" name="product_price" value="<?php echo $price; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The product price info.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Product Description
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-product-description"><?php _e( 'Product Description', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $desc = $setting->getSetting( 'product_description' );
          ?>
          <textarea id="input-product-description" class="iprev-input iprev-input-full" name="product_description"><?php echo $desc; ?></textarea>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The description of the product.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Product Image
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-product-image"><?php _e( 'Product Image', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <div class="iprev-upload-image iprev-clear">
              <div class="iprev-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'product_image' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none iprev-hide">' . __( 'No image', IPREV_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPREV_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="iprev-image-field">
                  <div class="iprev-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPREV_SLUG ); ?></p>
                      <a class="iprev-btn iprev-btn-secondary iprev-btn-media iprev-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPREV_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose photo', IPREV_SLUG ); ?>">
                          <i class="iprev-fa iprev-fa-image"></i>
                          <?php _e( 'Select Photo', IPREV_SLUG ); ?>
                      </a>
                      <a class="iprev-btn iprev-btn-reset iprev-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="iprev-fa iprev-fa-ban"></i>
                          <?php _e( 'Clear Photo', IPREV_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="iprev-upload-type" value="product_image" />
                  <input type="hidden" name="product_image" class="iprev-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Product URL
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-product-url"><?php _e( 'Product URL', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $setting->getSetting( 'product_url' );
          ?>
          <input type="text" id="input-product-url" class="iprev-input iprev-input-full" name="product_url" value="<?php echo $url; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The url of the detail product page.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Button label
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x iprev-help-abs">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-product-button-label"><?php _e( 'Button Label', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label = $setting->getSetting( 'product_button_label' );
          ?>
          <input type="text" id="input-product-button-label" class="iprev-input iprev-input-full" name="product_button_label" value="<?php echo $label; ?>">

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The label of the button read more.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->


    </div>
    <!-- end: .iprev-fields -->
  </div>
</div>
