<?php
/**
 * Admin combo bar view
 *
 * @package wp-review-me
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="iprev-section-combo" class="iprev-tab-content">
  <div class="iprev-tab-inner">

    <div class="iprev-title-content iprev-hide">
      <i class="iprev-fa iprev-fa-paint-brush"></i>
      <div class="iprev-title-text">
        <h3><?php _e( 'Combo Bar Style', IPREV_SLUG ); ?></h3>
        <p><?php _e( 'Set the style of a list of the reviews are displayed as a combo bar', IPREV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .iprev-fields -->
    <div class="iprev-fields">

      <?php
      /*
       * Position
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-position"><?php _e( 'Position', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">

          <select id="input-position" name="position">
            <?php
            $position  = $this->setting->getSetting( 'position', 'bottom_center' );
            $positions = array(
              'bottom_left'      => __( 'Bottom Left', IPREV_SLUG ),
              'bottom_right'     => __( 'Bottom Right', IPREV_SLUG ),
              'bottom_center'    => __( 'Bottom Center', IPREV_SLUG ),
              'top_left'         => __( 'Top Left', IPREV_SLUG ),
              'top_right'        => __( 'Top Right', IPREV_SLUG ),
              'top_center'       => __( 'Top Center', IPREV_SLUG )
            );
            foreach( $positions as $id => $label )
            {
                $sltd = '';
                if ( $id == $position ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $id . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide"><?php _e( 'Set the position of the widget in your page.', IPREV_SLUG ); ?>
            </div>
          </div>

        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      /*
       * Page load
       */
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-page-load"><?php _e( 'Page Load Visibility', IPREV_SLUG ); ?></label>
        </div>

        <!-- start: .iprev-field -->
        <div class="iprev-field col-lg-9 col-md-8 col-sm-12">
          <div class="iprev-onoff">
              <?php
              $val  = $this->setting->getSetting( 'page_load', 'false' );
              if ( $val == 'false' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="iprev-btn-group">
                <button data-value="true" class="iprev-btn-onoff<?php echo $clon; ?> iprev-btn-on" type="button"><?php _e( 'Show', IPREV_SLUG ); ?></button>
                <button data-value="false" class="iprev-btn-onoff<?php echo $cloff; ?> iprev-btn-off" type="button"><?php _e( 'Hide', IPREV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="iprev-onoff-value" name="page_load" value="<?php echo $val; ?>" />
          </div>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'Show/hide the combo bar when the page is loaded.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .iprev-field -->
      </div>
      <!-- end: .iprev-field-row -->

      <h3 class="iprev-field-title">
        <?php _e( 'Effect', IPREV_SLUG ); ?>
      </h3>

      <?php
      //Show Audio
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-md-3 col-sm-12">
          <label for="input-show-audio"><?php _e( 'Show Audio', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-md-9 col-sm-12">

          <select id="input-show-audio" class="iprev-input" name="show_audio">
            <option value="0"> <?php _e( 'No Audio', IPREV_SLUG );  ?> </option>
            <?php
            $audio   = absint( $this->setting->getSetting( 'content_audio', 0 ) );
            $options = range(1,5);
            foreach( $options as $key ) {
              $sltd = '';
              if ( $key == $audio ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The sound effect when the widget is displayed.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

      <?php
      //Hide Audio
      ?>
      <!-- start: .iprev-field-row -->
      <div class="iprev-field-row iprev-field-x">
        <div class="iprev-form-label col-md-3 col-sm-12">
          <label for="input-hide-audio"><?php _e( 'Hide Audio', IPREV_SLUG ); ?></label>
        </div>
        <div class="iprev-field col-md-9 col-sm-12">

          <select id="input-hide-audio" class="iprev-input" name="hide_audio">
            <option value="0"> <?php _e( 'No Audio', IPREV_SLUG );  ?> </option>
            <?php
            $audio   = absint( $this->setting->getSetting( 'hide_audio', 0 ) );
            $options = range(1,5);
            foreach( $options as $key ) {
              $sltd = '';
              if ( $key == $audio ) {
                $sltd = ' selected="selected"';
              }
              echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
            }
            ?>
          </select>

          <div class="iprev-help">
            <a class="iprev-btn-help iprev-btn iprev-btn-default" href="#"><i class="iprev-fa iprev-fa-question"></i></a>
            <div class="iprev-help-content iprev-hide">
              <?php _e( 'The sound effect when the widget is hidden.', IPREV_SLUG ); ?>
            </div>
          </div>
        </div>
      </div>
      <!-- end: .iprev-field-row -->

    </div>
    <!-- end: .iprev-fields -->

  </div>
</div>
